GET /v2/sandboxes
List sandboxes (v2)
List all sandboxes
Parameters
metadata·string· query · optionalMetadata query used to filter the sandboxes (e.g. "user=abc&app=prod"). Each key and values must be URL encoded.
state·array<SandboxState>· query · optionalFilter sandboxes by one or more states
Allowed values for
SandboxState:running|pausedSerialization: style
form; explodefalse; wire formatstate=value1,value2nextToken·string· query · optionalCursor to start the list from
limit·integer· query · optionalMaximum number of items to return per page
Format:
int32Default:
100Minimum:
1Maximum:
100
Responses
200
Successfully returned all running sandboxes
Response headers
X-Next-Token·string· response headerCursor to fetch the next page of results, if more exist
X-Total-Running·integer· response headerNumber of running sandboxes matching the filters, before pagination is applied. Only present when running sandboxes were requested.
Format:
int32
Content-Type: application/json
Schema: array<ListedSandbox>
templateID·string· requiredIdentifier of the template from which is the sandbox created
alias·string· optionalAlias of the template
sandboxID·string· requiredIdentifier of the sandbox
startedAt·string· requiredTime when the sandbox was started
Format:
date-timeendAt·string· requiredTime when the sandbox will expire
Format:
date-timecpuCount·CPUCount· requiredCPU cores for the sandbox
Format:
int32Minimum:
1memoryMB·MemoryMB· requiredMemory for the sandbox in MiB
Format:
int32Minimum:
128diskSizeMB·DiskSizeMB· requiredDisk size for the sandbox in MiB
Format:
int32Minimum:
0metadata·SandboxMetadata· optionalmetadata.*·string· additional propertyMetadata of the sandbox
state·SandboxState· requiredState of the sandbox
Allowed values for
SandboxState:running|pausedenvdVersion·EnvdVersion· requiredVersion of the envd running in the sandbox
401
Authentication error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
400
Bad request
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
500
Server error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError